﻿
$ErrorActionPreference = 'Stop';

$softVersion = '4.4.6'
$shortVersion = '4.4.6'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${shortVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '66926901D96FD361E1991B97EFB4072F5B7E0AE475879CAFAD9CF0FAAE8506F2'
  checksumType  = 'sha256'
  checksum64    = 'DF602BEDD46A1C7B953C428D67A837FC90C42E4AC9F668EA57C5D63B9C3CE68C'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'

$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
